curl --request PUT \
--url /tenant/v1/units/2 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"unit_number": "A-0005",
"floor_number": 1,
"rooms": 1,
"unit_usage": "residential_families",
"unit_type": "apartment",
"area": 200,
"amenities_bedrooms": 3,
"amenities_bathrooms_full": 2
}'
Units
Update Unit
Update unit information
PUT
/
tenant
/
v1
/
units
/
{id}
curl --request PUT \
--url /tenant/v1/units/2 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"unit_number": "A-0005",
"floor_number": 1,
"rooms": 1,
"unit_usage": "residential_families",
"unit_type": "apartment",
"area": 200,
"amenities_bedrooms": 3,
"amenities_bathrooms_full": 2
}'
Path Parameters
integer
required
The ID of the unit to update
Headers
string
required
Must be “application/json”
Body
string
required
Unique unit number
integer
required
Floor number
integer
required
Number of rooms (minimum 1)
string
required
Usage type (residential_families, residential_singles)
string
required
Type of unit (apartment, floor, villa, building, tower, duplex, studio, secondary_apartment, apartment_extension, floor_extension, penthouse_villa, drivers_room, land_lot, other)
number
Unit area
integer
Number of bedrooms [0-10]
integer
Number of full bathrooms [0-10]
curl --request PUT \
--url /tenant/v1/units/2 \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {access_token}' \
--data '{
"unit_number": "A-0005",
"floor_number": 1,
"rooms": 1,
"unit_usage": "residential_families",
"unit_type": "apartment",
"area": 200,
"amenities_bedrooms": 3,
"amenities_bathrooms_full": 2
}'

